use lib 'inc';
use Devel::AssertOS qw[Linux AIX HPUX MSWin32];
# This file was automatically generated by Dist::Zilla::Plugin::MakeMaker v5.042.
use strict;
use warnings;

use 5.008009;

use ExtUtils::MakeMaker;

my %WriteMakefileArgs = (
  "ABSTRACT" => "utilities to be used with the Siebel srvrmgr program",
  "AUTHOR" => "Alceu Rodrigues de Freitas Junior <arfreitas\@cpan.org>",
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => 0
  },
  "DISTNAME" => "Siebel-Srvrmgr",
  "EXE_FILES" => [
    "bin/srvrmgr-mock.pl"
  ],
  "LICENSE" => "gpl",
  "MIN_PERL_VERSION" => "5.008009",
  "NAME" => "Siebel::Srvrmgr",
  "PREREQ_PM" => {
    "Carp" => 0,
    "Class::Data::Inheritable" => "0.08",
    "Config::IniFiles" => "2.88",
    "Data::Dumper" => 0,
    "DateTime" => "1.12",
    "Encode" => 0,
    "Exporter" => 0,
    "FSA::Rules" => "0.34",
    "Fcntl" => 0,
    "File::BOM" => "0.14",
    "File::Copy" => 0,
    "File::Spec" => 0,
    "File::Temp" => "0.2304",
    "Getopt::Std" => 0,
    "Hash::Util" => 0,
    "IO::Select" => 0,
    "IO::Socket" => 0,
    "IPC::Open3" => 0,
    "List::Util" => "1.42",
    "Log::Log4perl" => "1.41",
    "Moose" => "2.0401",
    "Moose::Role" => "2.1604",
    "Moose::Util" => "2.1604",
    "Moose::Util::TypeConstraints" => "2.0402",
    "MooseX::AbstractFactory" => "0.004000",
    "MooseX::FollowPBP" => "0.05",
    "MooseX::Singleton" => 0,
    "MooseX::Storage" => "0.33",
    "POSIX" => 0,
    "Scalar::Util" => 0,
    "Scalar::Util::Numeric" => "0.40",
    "Set::Tiny" => "0.02",
    "Storable" => "2.51",
    "String::BOM" => "0.3",
    "Symbol" => 0,
    "Test::Class" => "0.36",
    "Test::Differences" => "0.63",
    "Test::Moose" => "2.0801",
    "Test::Most" => "0.25",
    "Test::Pod" => "1.22",
    "Test::Pod::Coverage" => "1.08",
    "Test::TempDir::Tiny" => "0.004",
    "YAML::Syck" => "1.29",
    "namespace::autoclean" => "0.13"
  },
  "TEST_REQUIRES" => {
    "Class::Data::Inheritable" => "0.08",
    "Config::IniFiles" => "2.88",
    "Cwd" => 0,
    "Devel::Gladiator" => "0.07",
    "Test::Class" => "0.36",
    "Test::Differences" => "0.63",
    "Test::Moose" => "2.0801",
    "Test::More" => 0,
    "Test::Most" => "0.25",
    "Test::Pod" => "1.22",
    "Test::Pod::Coverage" => "1.08",
    "Test::TempDir::Tiny" => "0.004"
  },
  "VERSION" => "0.23",
  "test" => {
    "TESTS" => "t/*.t"
  }
);


my %FallbackPrereqs = (
  "Carp" => 0,
  "Class::Data::Inheritable" => "0.08",
  "Config::IniFiles" => "2.88",
  "Cwd" => 0,
  "Data::Dumper" => 0,
  "DateTime" => "1.12",
  "Devel::Gladiator" => "0.07",
  "Encode" => 0,
  "Exporter" => 0,
  "FSA::Rules" => "0.34",
  "Fcntl" => 0,
  "File::BOM" => "0.14",
  "File::Copy" => 0,
  "File::Spec" => 0,
  "File::Temp" => "0.2304",
  "Getopt::Std" => 0,
  "Hash::Util" => 0,
  "IO::Select" => 0,
  "IO::Socket" => 0,
  "IPC::Open3" => 0,
  "List::Util" => "1.42",
  "Log::Log4perl" => "1.41",
  "Moose" => "2.0401",
  "Moose::Role" => "2.1604",
  "Moose::Util" => "2.1604",
  "Moose::Util::TypeConstraints" => "2.0402",
  "MooseX::AbstractFactory" => "0.004000",
  "MooseX::FollowPBP" => "0.05",
  "MooseX::Singleton" => 0,
  "MooseX::Storage" => "0.33",
  "POSIX" => 0,
  "Scalar::Util" => 0,
  "Scalar::Util::Numeric" => "0.40",
  "Set::Tiny" => "0.02",
  "Storable" => "2.51",
  "String::BOM" => "0.3",
  "Symbol" => 0,
  "Test::Class" => "0.36",
  "Test::Differences" => "0.63",
  "Test::Moose" => "2.0801",
  "Test::More" => 0,
  "Test::Most" => "0.25",
  "Test::Pod" => "1.22",
  "Test::Pod::Coverage" => "1.08",
  "Test::TempDir::Tiny" => "0.004",
  "YAML::Syck" => "1.29",
  "namespace::autoclean" => "0.13"
);


unless ( eval { ExtUtils::MakeMaker->VERSION(6.63_03) } ) {
  delete $WriteMakefileArgs{TEST_REQUIRES};
  delete $WriteMakefileArgs{BUILD_REQUIRES};
  $WriteMakefileArgs{PREREQ_PM} = \%FallbackPrereqs;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

if ( $^O !~ /win/i ) {
	$WriteMakefileArgs{PREREQ_PM}{'Proc::Background'} = '1.10';
	$WriteMakefileArgs{PREREQ_PM}{'Proc::Daemon'} = '0.18';
	$WriteMakefileArgs{PREREQ_PM}{'Proc::ProcessTable'} = '0.53';
}

WriteMakefile(%WriteMakefileArgs);
